// mapping pins for devices

// TFT module connections
unsigned int TFT_DataPort at GPIOE_ODR;
sbit TFT_RST at GPIOE_ODR.B8;
sbit TFT_RS at GPIOE_ODR.B12;
sbit TFT_CS at GPIOE_ODR.B15;
sbit TFT_RD at GPIOE_ODR.B10;
sbit TFT_WR at GPIOE_ODR.B11;
sbit TFT_BLED at GPIOE_ODR.B9;

sbit Mmc_Chip_Select at GPIOD_ODR.B3;   // was GPIOD_ODR.B2

// Touch Panel module connections
sbit DriveX_Left at GPIOB_ODR.B1;
sbit DriveX_Right at GPIOB_ODR.B8;
sbit DriveY_Up at GPIOB_ODR.B9;
sbit DriveY_Down at GPIOB_ODR.B0;

// Software I2C connections
sbit Soft_I2C_Scl_Output    at GPIOB_ODR.B6;
sbit Soft_I2C_Scl_Input     at GPIOB_IDR.B6;
sbit Soft_I2C_Sda_Output    at GPIOB_ODR.B7;
sbit Soft_I2C_Sda_Input     at GPIOB_IDR.B7;
// End Software I2C connections