#include "datatypes.h"
#include "accel_header.h"

//Timer5 Prescaler :49; Preload = 63999; Actual Interrupt Time = 20 ms
void InitTimer4(){
  RCC_APB1ENR.TIM4EN = 1;
  TIM4_CR1.CEN = 0;
  TIM4_PSC = 223;
  TIM4_ARR = 62499;
  NVIC_IntEnable(IVT_INT_TIM4);
  TIM4_DIER.UIE = 1;
  TIM4_CR1.CEN = 1;
}

void StopTimer4()
{
  RCC_APB1ENR.TIM4EN = 0;
  TIM4_CR1.CEN = 0;
}