#include "datatypes.h"

#ifndef __PEDOMETER_DRAW_OBJECTS__
  #define __PEDOMETER_DRAW_OBJECTS__

  typedef struct
  {
    uint16_t  Left;
    uint16_t  Top;
    uint16_t  Width;
    uint16_t  Height;
    uint8_t*         Caption;
    const uint8_t*   FontName;
    uint16_t  Font_Color;
  } label_t;

  typedef const struct
  {
    uint16_t  Left;
    uint16_t  Top;
    uint16_t  Width;
    uint16_t  Height;
    const uint8_t*   Caption;
    const uint8_t*   FontName;
    uint16_t  Font_Color;
  } clabel_t;

  typedef struct
  {
    uint8_t   Order;
    uint16_t  Left;
    uint16_t  Top;
    uint16_t  Width;
    uint16_t  Height;
    uint8_t const *   Picture_Name;
    void          (*OnPressPtr)();
  } image_t;

  typedef const struct
  {
    uint8_t   Order;
    uint16_t  Left;
    uint16_t  Top;
    uint16_t  Width;
    uint16_t  Height;
    const uint8_t*   Picture_Name;
    void          (*OnPressPtr)();
  } cimage_t;

#endif